Bug 248151 - mod_perl-2.0.3 is missing Apache2::Build module
mod_perl-2.0.3 is missing Apache2::Build module
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mod_perl (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 10:09 EDT by paul trader
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 00:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paul trader 2007-07-13 10:09:40 EDT
Description of problem:

mod_perl is missing apache2::build module.

Version-Release number of selected component (if applicable):

mod_perl-2.0.3-9.1.fc7

How reproducible:

install latest yum update of mod_perl.

Steps to Reproduce:
1.  install fedora 7
2.  run yum -y update
3.
  
Actual results:

apache2::build is not part of this rpm.

Expected results:

cpan (http://search.cpan.org/~pgollucci/mod_perl-2.0.3/) tells me that
apache2::build is part of mod_perl-2.0.3.  however, after installing a base
fedora 7 system and yum updating, apache2::build module is not found anywhere in
/usr/lib/perl5

Additional info:

as a workaround, i've done the following:

1)  symlink /lib/libdb-4.5.so to /lib/libdb-4.3.so
2)  d/l mod_perl-2.0.2-6.3.el5 from any centos mirror
3)  install with rpm -Uvh --nodeps --oldpackage

side note - this installs an older version of mod_perl, which does include
apache2::build, and allows me to build an rpm for apache::test, but i have not
experimented with this yet to make sure it's working - use at your own risk!
Comment 1 paul trader 2007-07-13 10:59:13 EDT
all - sorry, my bad, after getting a tip from the fedora-perl-devel-list group,
i discovered that apache2::build is part of mod_perl-devel now.  please
disregard this bug!

Note You need to log in before you can comment on or make changes to this bug.